diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/themes/advanced/js/link.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/themes/advanced/js/link.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/themes/advanced/js/link.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/themes/advanced/js/link.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 68,77 ****
  		} else {
  			ed.dom.setAttribs(e, {
  				href : href,
! 				title : f.linktitle.value,
! 				target : f.target_list ? getSelectValue(f, "target_list") : null,
! 				'class' : f.class_list ? getSelectValue(f, "class_list") : null
  			});
  		}
  
  		// Don't move caret if selection was image
--- 68,83 ----
  		} else {
  			ed.dom.setAttribs(e, {
  				href : href,
! 				title : f.linktitle.value
  			});
+ 	
+ 			if (f.target_list) {
+ 				ed.dom.setAttrib(e, 'target', getSelectValue(f, "target_list"));
+ 			}
+ 
+ 			if (f.class_list) {
+ 				ed.dom.setAttrib(e, 'class', getSelectValue(f, "class_list"));
+ 			}
  		}
  
  		// Don't move caret if selection was image
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/themes/advanced/js/source_editor.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/themes/advanced/js/source_editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/themes/advanced/js/source_editor.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/themes/advanced/js/source_editor.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 16,22 ****
  	document.getElementById('htmlSource').value = tinyMCEPopup.editor.getContent({source_view : true});
  
  	if (tinyMCEPopup.editor.getParam("theme_advanced_source_editor_wrap", true)) {
! 		setWrap('soft');
  		document.getElementById('wraped').checked = true;
  	}
  
--- 16,22 ----
  	document.getElementById('htmlSource').value = tinyMCEPopup.editor.getContent({source_view : true});
  
  	if (tinyMCEPopup.editor.getParam("theme_advanced_source_editor_wrap", true)) {
! 		turnWrapOn();
  		document.getElementById('wraped').checked = true;
  	}
  
***************
*** 37,47 ****
  	}
  }
  
! function toggleWordWrap(elm) {
! 	if (elm.checked)
! 		setWrap('soft');
! 	else
  		setWrap('off');
  }
  
  function resizeInputs() {
--- 37,69 ----
  	}
  }
  
! function setWhiteSpaceCss(value) {
! 	var el = document.getElementById('htmlSource');
! 	tinymce.DOM.setStyle(el, 'white-space', value);
! }
! 
! function turnWrapOff() {
! 	if (tinymce.isWebKit) {
! 		setWhiteSpaceCss('pre');
! 	} else {
  		setWrap('off');
+ 	}
+ }
+ 
+ function turnWrapOn() {
+ 	if (tinymce.isWebKit) {
+ 		setWhiteSpaceCss('pre-wrap');
+ 	} else {
+ 		setWrap('soft');
+ 	}
+ }
+ 
+ function toggleWordWrap(elm) {
+ 	if (elm.checked) {
+ 		turnWrapOn();
+ 	} else {
+ 		turnWrapOff();
+ 	}
  }
  
  function resizeInputs() {
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/wp-mce-help.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-mce-help.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/wp-mce-help.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-mce-help.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 13,20 ****
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
! <title><?php _e('Rich Editor Help') ?></title>
! <script type="text/javascript" src="tiny_mce_popup.js?ver=342"></script>
  <?php
  wp_admin_css( 'wp-admin', true );
  ?>
--- 13,20 ----
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
! <title><?php _e('Rich Editor Help'); ?></title>
! <script type="text/javascript" src="tiny_mce_popup.js?ver=358-20121205"></script>
  <?php
  wp_admin_css( 'wp-admin', true );
  ?>
***************
*** 111,116 ****
--- 111,118 ----
  	}
  	.keys {
  		margin-bottom: 15px;
+ 		width: 100%;
+ 		border: 0 none;
  	}
  	.keys p {
  		display: inline-block;
***************
*** 130,149 ****
  	#buttoncontainer a, #buttoncontainer a:hover {
  		border-bottom: 0px;
  	}
! 
! 	.mac,
! 	.macos .win {
  		display: none;
  	}
- 
- 	.macos span.mac {
- 		display: inline;
- 	}
- 
- 	.macwebkit tr.mac {
- 		display: table-row;
- 	}
- 
  </style>
  <?php if ( is_rtl() ) : ?>
  <style type="text/css">
--- 132,141 ----
  	#buttoncontainer a, #buttoncontainer a:hover {
  		border-bottom: 0px;
  	}
! 	.macos .win,
! 	.windows .mac {
  		display: none;
  	}
  </style>
  <?php if ( is_rtl() ) : ?>
  <style type="text/css">
***************
*** 159,269 ****
  	td b { font-family: Tahoma, "Times New Roman", Times, serif }
  </style>
  <?php endif; ?>
  <script type="text/javascript">
! 	function d(id) { return document.getElementById(id); }
! 
! 	function flipTab(n) {
! 		for (i=1;i<=4;i++) {
! 			c = d('content'+i.toString());
! 			t = d('tab'+i.toString());
! 			if ( n == i ) {
! 				c.className = '';
! 				t.className = 'current';
! 			} else {
! 				c.className = 'hidden';
! 				t.className = '';
! 			}
! 		}
! 	}
! 
!     tinyMCEPopup.onInit.add(function() {
!         var win = tinyMCEPopup.getWin();
! 
! 		document.getElementById('version').innerHTML = tinymce.majorVersion + "." + tinymce.minorVersion;
!         document.getElementById('date').innerHTML = tinymce.releaseDate;
! 
! 		if ( win.fullscreen && win.fullscreen.settings.visible ) {
! 			d('content1').className = 'hidden';
! 			d('tabs').className = 'hidden';
! 			d('content3').className = 'dfw';
! 		}
! 
! 		if ( tinymce.isMac )
! 			document.body.className = 'macos';
! 
! 		if ( tinymce.isMac && tinymce.isWebKit )
! 			document.body.className = 'macos macwebkit';
! 
!     });
  </script>
- </head>
- <body>
  
  <ul id="tabs">
! 	<li><a id="tab1" href="javascript:flipTab(1)" title="<?php esc_attr_e('Basics of Rich Editing') ?>" accesskey="1" tabindex="1" class="current"><?php _e('Basics') ?></a></li>
! 	<li><a id="tab2" href="javascript:flipTab(2)" title="<?php esc_attr_e('Advanced use of the Rich Editor') ?>" accesskey="2" tabindex="2"><?php _e('Advanced') ?></a></li>
! 	<li><a id="tab3" href="javascript:flipTab(3)" title="<?php esc_attr_e('Hotkeys') ?>" accesskey="3" tabindex="3"><?php _e('Hotkeys') ?></a></li>
! 	<li><a id="tab4" href="javascript:flipTab(4)" title="<?php esc_attr_e('About the software') ?>" accesskey="4" tabindex="4"><?php _e('About') ?></a></li>
  </ul>
  
  <div id="flipper" class="wrap">
  
  <div id="content1">
! 	<h2><?php _e('Rich Editing Basics') ?></h2>
! 	<p><?php _e('<em>Rich editing</em>, also called WYSIWYG for What You See Is What You Get, means your text is formatted as you type. The rich editor creates HTML code behind the scenes while you concentrate on writing. Font styles, links and images all appear approximately as they will on the internet.') ?></p>
! 	<p><?php _e('WordPress includes a rich HTML editor that works well in all major web browsers used today. However editing HTML is not the same as typing text. Each web page has two major components: the structure, which is the actual HTML code and is produced by the editor as you type, and the display, that is applied to it by the currently selected WordPress theme and is defined in style.css. WordPress is producing valid XHTML 1.0 which means that inserting multiple line breaks (BR tags) after a paragraph would not produce white space on the web page. The BR tags will be removed as invalid by the internal HTML correcting functions.') ?></p>
! 	<p><?php _e('While using the editor, most basic keyboard shortcuts work like in any other text editor. For example: Shift+Enter inserts line break, Ctrl+C = copy, Ctrl+X = cut, Ctrl+Z = undo, Ctrl+Y = redo, Ctrl+A = select all, etc. (on Mac use the Command key instead of Ctrl). See the Hotkeys tab for all available keyboard shortcuts.') ?></p>
!     <p><?php _e('If you do not like the way the rich editor works, you may turn it off from Your Profile submenu, under Users in the admin menu.') ?></p>
  </div>
  
  <div id="content2" class="hidden">
! 	<h2><?php _e('Advanced Rich Editing') ?></h2>
! 	<h3><?php _e('Images and Attachments') ?></h3>
! 	<p><?php _e('There is a button in the editor toolbar for inserting images that are already hosted somewhere on the internet. If you have a URL for an image, click this button and enter the URL in the box which appears.') ?></p>
! 	<p><?php _e('If you need to upload an image or another media file from your computer, you can use the Media Library buttons above the editor. The media library will attempt to create a thumbnail-sized copy from each uploaded image. To insert your image into the post, first click on the thumbnail to reveal a menu of options. When you have selected the options you like, click "Send to Editor" and your image or file will appear in the post you are editing. If you are inserting a movie, there are additional options in the "Media" dialog that can be opened from the second toolbar row.') ?></p>
! 	<h3><?php _e('HTML in the Rich Editor') ?></h3>
! 	<p><?php _e('Any HTML entered directly into the rich editor will show up as text when the post is viewed. What you see is what you get. When you want to include HTML elements that cannot be generated with the toolbar buttons, you must enter it by hand in the HTML editor. Examples are tables and &lt;code&gt;. To do this, click the HTML tab and edit the code, then switch back to Visual mode. If the code is valid and understood by the editor, you should see it rendered immediately.') ?></p>
! 	<h3><?php _e('Pasting in the Rich Editor') ?></h3>
! 	<p><?php _e('When pasting content from another web page the results can be inconsistent and depend on your browser and on the web page you are pasting from. The editor tries to correct any invalid HTML code that was pasted, but for best results try using the HTML tab or one of the paste buttons that are on the second row. Alternatively try pasting paragraph by paragraph. In most browsers to select one paragraph at a time, triple-click on it.') ?></p>
! 	<p><?php _e('Pasting content from another application, like Word or Excel, is best done with the Paste from Word button on the second row, or in HTML mode.') ?></p>
  </div>
  
  <div id="content3" class="hidden">
! 	<h2><?php _e('Writing at Full Speed') ?></h2>
!     <p><?php _e('Rather than reaching for your mouse to click on the toolbar, use these access keys. Windows and Linux use Ctrl + letter. Macintosh uses Command + letter.') ?></p>
  
! 	<table class="keys" width="100%" style="border: 0 none;">
! 		<tr class="top"><th class="key center"><?php _e('Letter') ?></th><th class="left"><?php _e('Action') ?></th><th class="key center"><?php _e('Letter') ?></th><th class="left"><?php _e('Action') ?></th></tr>
! 		<tr><th>c</th><td><?php _e('Copy') ?></td><th>v</th><td><?php _e('Paste') ?></td></tr>
! 		<tr><th>a</th><td><?php _e('Select all') ?></td><th>x</th><td><?php _e('Cut') ?></td></tr>
! 		<tr><th>z</th><td><?php _e('Undo') ?></td><th>y</th><td><?php _e('Redo') ?></td></tr>
! 
! 		<tr class="win"><th>b</th><td><?php _e('Bold') ?></td><th>i</th><td><?php _e('Italic') ?></td></tr>
! 		<tr class="win"><th>u</th><td><?php _e('Underline') ?></td><th>1</th><td><?php _e('Heading 1') ?></td></tr>
! 		<tr class="win"><th>2</th><td><?php _e('Heading 2') ?></td><th>3</th><td><?php _e('Heading 3') ?></td></tr>
! 		<tr class="win"><th>4</th><td><?php _e('Heading 4') ?></td><th>5</th><td><?php _e('Heading 5') ?></td></tr>
! 		<tr class="win"><th>6</th><td><?php _e('Heading 6') ?></td><th>9</th><td><?php _e('Address') ?></td></tr>
  	</table>
  
! 	<p><?php _e('The following shortcuts use different access keys: Alt + Shift + letter.') ?></p>
! 	<table class="keys" width="100%" style="border: 0 none;">
! 		<tr class="top"><th class="key center"><?php _e('Letter') ?></th><th class="left"><?php _e('Action') ?></th><th class="key center"><?php _e('Letter') ?></th><th class="left"><?php _e('Action') ?></th></tr>
! 		<tr class="mac"><th>b</th><td><?php _e('Bold') ?></td><th>i</th><td><?php _e('Italic') ?></td></tr>
! 
! 		<tr><th>n</th><td><?php _e('Check Spelling') ?></td><th>l</th><td><?php _e('Align Left') ?></td></tr>
! 		<tr><th>j</th><td><?php _e('Justify Text') ?></td><th>c</th><td><?php _e('Align Center') ?></td></tr>
! 		<tr><th>d</th><td><span style="text-decoration: line-through;"><?php _e('Strikethrough') ?></span></td><th>r</th><td><?php _e('Align Right') ?></td></tr>
! 		<tr><th>u</th><td><strong>&bull;</strong> <?php _e('List') ?></td><th>a</th><td><?php _e('Insert link') ?></td></tr>
! 		<tr><th>o</th><td>1. <?php _e('List') ?></td><th>s</th><td><?php _e('Remove link') ?></td></tr>
! 		<tr><th>q</th><td><?php _e('Quote') ?></td><th>m</th><td><?php _e('Insert Image') ?></td></tr>
! 		<tr><th>g</th><td><?php _e('Full Screen') ?></td><th>t</th><td><?php _e('Insert More Tag') ?></td></tr>
! 		<tr><th>p</th><td><?php _e('Insert Page Break tag') ?></td><th>h</th><td><?php _e('Help') ?></td></tr>
! 		<tr><th>e</th><td colspan="3"><?php _e('Switch to HTML mode') ?></td></tr>
! 
! 		<tr><th colspan="4" style="font-weight: normal;padding: 15px 10px 10px;"><?php _e('Editor width in Distraction-free writing mode:'); ?></th></tr>
! 		<tr><th><span class="win">Alt +</span><span class="mac">Ctrl +</span></th><td><?php _e('Wider') ?></td>
! 			<th><span class="win">Alt -</span><span class="mac">Ctrl -</span></th><td><?php _e('Narrower') ?></td></tr>
! 		<tr><th><span class="win">Alt 0</span><span class="mac">Ctrl 0</span></th><td><?php _e('Default width') ?></td><th></th><td></td></tr>
  	</table>
  </div>
  
--- 151,227 ----
  	td b { font-family: Tahoma, "Times New Roman", Times, serif }
  </style>
  <?php endif; ?>
+ </head>
+ <body class="windows wp-core-ui">
  <script type="text/javascript">
! if ( tinymce.isMac )
! 	document.body.className = document.body.className.replace(/windows/, 'macos');
  </script>
  
  <ul id="tabs">
! 	<li><a id="tab1" href="javascript:flipTab(1)" title="<?php esc_attr_e('Basics of Rich Editing'); ?>" accesskey="1" class="current"><?php _e('Basics'); ?></a></li>
! 	<li><a id="tab2" href="javascript:flipTab(2)" title="<?php esc_attr_e('Advanced use of the Rich Editor'); ?>" accesskey="2"><?php _e('Advanced'); ?></a></li>
! 	<li><a id="tab3" href="javascript:flipTab(3)" title="<?php esc_attr_e('Hotkeys'); ?>" accesskey="3"><?php _e('Hotkeys'); ?></a></li>
! 	<li><a id="tab4" href="javascript:flipTab(4)" title="<?php esc_attr_e('About the software'); ?>" accesskey="4"><?php _e('About'); ?></a></li>
  </ul>
  
  <div id="flipper" class="wrap">
  
  <div id="content1">
! 	<h2><?php _e('Rich Editing Basics'); ?></h2>
! 	<p><?php _e('<em>Rich editing</em>, also called WYSIWYG for What You See Is What You Get, means your text is formatted as you type. The rich editor creates HTML code behind the scenes while you concentrate on writing. Font styles, links and images all appear approximately as they will on the internet.'); ?></p>
! 	<p><?php _e('WordPress includes a rich HTML editor that works well in all major web browsers used today. However editing HTML is not the same as typing text. Each web page has two major components: the structure, which is the actual HTML code and is produced by the editor as you type, and the display, that is applied to it by the currently selected WordPress theme and is defined in style.css. WordPress is producing valid XHTML 1.0 which means that inserting multiple line breaks (BR tags) after a paragraph would not produce white space on the web page. The BR tags will be removed as invalid by the internal HTML correcting functions.'); ?></p>
! 	<p><?php _e('While using the editor, most basic keyboard shortcuts work like in any other text editor. For example: Shift+Enter inserts line break, Ctrl+C = copy, Ctrl+X = cut, Ctrl+Z = undo, Ctrl+Y = redo, Ctrl+A = select all, etc. (on Mac use the Command key instead of Ctrl). See the Hotkeys tab for all available keyboard shortcuts.'); ?></p>
!     <p><?php _e('If you do not like the way the rich editor works, you may turn it off from Your Profile submenu, under Users in the admin menu.'); ?></p>
  </div>
  
  <div id="content2" class="hidden">
! 	<h2><?php _e('Advanced Rich Editing'); ?></h2>
! 	<h3><?php _e('Images and Attachments'); ?></h3>
! 	<p><?php _e('There is a button in the editor toolbar for inserting images that are already hosted somewhere on the internet. If you have a URL for an image, click this button and enter the URL in the box which appears.'); ?></p>
! 	<p><?php _e('If you need to upload an image or another media file from your computer, you can use the Media Library button above the editor. The media library will attempt to create a thumbnail-sized copy from each uploaded image. To insert your image into the post, first click on the thumbnail to reveal a menu of options. When you have selected the options you like, click "Insert into Post" and your image or file will appear in the post you are editing.'); ?></p>
! 	<h3><?php _e('HTML in the Rich Editor'); ?></h3>
! 	<p><?php _e('Any HTML entered directly into the rich editor will show up as text when the post is viewed. What you see is what you get. When you want to include HTML elements that cannot be generated with the toolbar buttons, you must enter it by hand in the Text editor. Examples are tables and &lt;code&gt;. To do this, click the Text tab and edit the code, then switch back to Visual mode. If the code is valid and understood by the editor, you should see it rendered immediately.'); ?></p>
! 	<h3><?php _e('Pasting in the Rich Editor'); ?></h3>
! 	<p><?php _e('When pasting content from another web page the results can be inconsistent and depend on your browser and on the web page you are pasting from. The editor tries to correct any invalid HTML code that was pasted, but for best results try using the Text tab or one of the paste buttons that are on the second row. Alternatively try pasting paragraph by paragraph. In most browsers to select one paragraph at a time, triple-click on it.'); ?></p>
! 	<p><?php _e('Pasting content from another application, like Word or Excel, is best done with the Paste from Word button on the second row, or in Text mode.'); ?></p>
  </div>
  
  <div id="content3" class="hidden">
! 	<h2><?php _e('Writing at Full Speed'); ?></h2>
!     <p><?php _e('Rather than reaching for your mouse to click on the toolbar, use these access keys. Windows and Linux use Ctrl + letter. Macintosh uses Command + letter.'); ?></p>
  
! 	<table class="keys">
! 		<tr class="top"><th class="key center"><?php _e('Letter'); ?></th><th class="left"><?php _e('Action'); ?></th><th class="key center"><?php _e('Letter'); ?></th><th class="left"><?php _e('Action'); ?></th></tr>
! 		<tr><th>c</th><td><?php _e('Copy'); ?></td><th>v</th><td><?php _e('Paste'); ?></td></tr>
! 		<tr><th>a</th><td><?php _e('Select all'); ?></td><th>x</th><td><?php _e('Cut'); ?></td></tr>
! 		<tr><th>z</th><td><?php _e('Undo'); ?></td><th>y</th><td><?php _e('Redo'); ?></td></tr>
! 
! 		<tr><th>b</th><td><?php _e('Bold'); ?></td><th>i</th><td><?php _e('Italic'); ?></td></tr>
! 		<tr><th>u</th><td><?php _e('Underline'); ?></td><th>1</th><td><?php _e('Heading 1'); ?></td></tr>
! 		<tr><th>2</th><td><?php _e('Heading 2'); ?></td><th>3</th><td><?php _e('Heading 3'); ?></td></tr>
! 		<tr><th>4</th><td><?php _e('Heading 4'); ?></td><th>5</th><td><?php _e('Heading 5'); ?></td></tr>
! 		<tr><th>6</th><td><?php _e('Heading 6'); ?></td><th>9</th><td><?php _e('Address'); ?></td></tr>
  	</table>
  
! 	<p><?php _e('The following shortcuts use different access keys: Alt + Shift + letter.'); ?></p>
! 	<table class="keys">
! 		<tr class="top"><th class="key center"><?php _e('Letter'); ?></th><th class="left"><?php _e('Action'); ?></th><th class="key center"><?php _e('Letter'); ?></th><th class="left"><?php _e('Action'); ?></th></tr>
! 		<tr><th>n</th><td><?php _e('Check Spelling'); ?></td><th>l</th><td><?php _e('Align Left'); ?></td></tr>
! 		<tr><th>j</th><td><?php _e('Justify Text'); ?></td><th>c</th><td><?php _e('Align Center'); ?></td></tr>
! 		<tr><th>d</th><td><span style="text-decoration: line-through;"><?php _e('Strikethrough'); ?></span></td><th>r</th><td><?php _e('Align Right'); ?></td></tr>
! 		<tr><th>u</th><td><strong>&bull;</strong> <?php _e('List'); ?></td><th>a</th><td><?php _e('Insert link'); ?></td></tr>
! 		<tr><th>o</th><td>1. <?php _e('List'); ?></td><th>s</th><td><?php _e('Remove link'); ?></td></tr>
! 		<tr><th>q</th><td><?php _e('Quote'); ?></td><th>m</th><td><?php _e('Insert Image'); ?></td></tr>
! 		<tr><th>w</th><td><?php _e('Distraction Free Writing mode'); ?></td><th>t</th><td><?php _e('Insert More Tag'); ?></td></tr>
! 		<tr><th>p</th><td><?php _e('Insert Page Break tag'); ?></td><th>h</th><td><?php _e('Help'); ?></td></tr>
! 	</table>
! 
! 	<p style="padding: 15px 10px 10px;"><?php _e('Editor width in Distraction Free Writing mode:'); ?></p>
! 	<table class="keys">
! 		<tr><th><span class="win">Alt +</span><span class="mac">Ctrl +</span></th><td><?php _e('Wider'); ?></td>
! 			<th><span class="win">Alt -</span><span class="mac">Ctrl -</span></th><td><?php _e('Narrower'); ?></td></tr>
! 		<tr><th><span class="win">Alt 0</span><span class="mac">Ctrl 0</span></th><td><?php _e('Default width'); ?></td><th></th><td></td></tr>
  	</table>
  </div>
  
***************
*** 271,282 ****
  	<h2><?php _e('About TinyMCE'); ?></h2>
  
      <p><?php _e('Version:'); ?> <span id="version"></span> (<span id="date"></span>)</p>
! 	<p><?php printf(__('TinyMCE is a platform independent web based Javascript HTML WYSIWYG editor released as Open Source under %sLGPL</a>	by Moxiecode Systems AB. It has the ability to convert HTML TEXTAREA fields or other HTML elements to editor instances.'), '<a href="'.home_url('/wp-includes/js/tinymce/license.txt').'" target="_blank" title="'.esc_attr__('GNU Library General Public Licence').'">') ?></p>
! 	<p><?php _e('Copyright &copy; 2003-2011, <a href="http://www.moxiecode.com" target="_blank">Moxiecode Systems AB</a>, All rights reserved.') ?></p>
! 	<p><?php _e('For more information about this software visit the <a href="http://tinymce.moxiecode.com" target="_blank">TinyMCE website</a>.') ?></p>
  
  	<div id="buttoncontainer">
! 		<a href="http://www.moxiecode.com" target="_blank"><img src="themes/advanced/img/gotmoxie.png" alt="<?php esc_attr_e('Got Moxie?') ?>" style="border: 0" /></a>
  	</div>
  
  </div>
--- 229,240 ----
  	<h2><?php _e('About TinyMCE'); ?></h2>
  
      <p><?php _e('Version:'); ?> <span id="version"></span> (<span id="date"></span>)</p>
! 	<p><?php printf(__('TinyMCE is a platform independent web based Javascript HTML WYSIWYG editor released as Open Source under %sLGPL</a>	by Moxiecode Systems AB. It has the ability to convert HTML TEXTAREA fields or other HTML elements to editor instances.'), '<a href="'.home_url('/wp-includes/js/tinymce/license.txt').'" target="_blank" title="'.esc_attr__('GNU Library General Public License').'">'); ?></p>
! 	<p><?php _e('Copyright &copy; 2003-2011, <a href="http://www.moxiecode.com" target="_blank">Moxiecode Systems AB</a>, All rights reserved.'); ?></p>
! 	<p><?php _e('For more information about this software visit the <a href="http://tinymce.com" target="_blank">TinyMCE website</a>.'); ?></p>
  
  	<div id="buttoncontainer">
! 		<a href="http://www.moxiecode.com" target="_blank"><img src="themes/advanced/img/gotmoxie.png" alt="<?php esc_attr_e('Got Moxie?'); ?>" style="border: 0" /></a>
  	</div>
  
  </div>
***************
*** 287,292 ****
--- 245,281 ----
  		<input type="button" id="cancel" name="cancel" value="<?php esc_attr_e('Close'); ?>" title="<?php esc_attr_e('Close'); ?>" onclick="tinyMCEPopup.close();" />
  	</div>
  </div>
+ <script type="text/javascript">
+ 	function d(id) { return document.getElementById(id); }
  
+ 	function flipTab(n) {
+ 		var i, c, t;
+ 
+ 		for ( i = 1; i <= 4; i++ ) {
+ 			c = d('content'+i.toString());
+ 			t = d('tab'+i.toString());
+ 			if ( n == i ) {
+ 				c.className = '';
+ 				t.className = 'current';
+ 			} else {
+ 				c.className = 'hidden';
+ 				t.className = '';
+ 			}
+ 		}
+ 	}
+ 
+     tinyMCEPopup.onInit.add(function() {
+         var win = tinyMCEPopup.getWin();
+ 
+ 		d('version').innerHTML = tinymce.majorVersion + "." + tinymce.minorVersion;
+         d('date').innerHTML = tinymce.releaseDate;
+ 
+ 		if ( win.fullscreen && win.fullscreen.settings.visible ) {
+ 			d('content1').className = 'hidden';
+ 			d('tabs').className = 'hidden';
+ 			d('content3').className = 'dfw';
+ 		}
+     });
+ </script>
  </body>
  </html>
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/wp-tinymce.js.gz and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-tinymce.js.gz differ
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/wp-tinymce.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-tinymce.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/wp-tinymce.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-tinymce.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 19,25 ****
  	return @file_get_contents($path);
  }
  
! $expires_offset = 31536000;
  
  header('Content-Type: application/x-javascript; charset=UTF-8');
  header('Vary: Accept-Encoding'); // Handle proxies
--- 19,25 ----
  	return @file_get_contents($path);
  }
  
! $expires_offset = 31536000; // 1 year
  
  header('Content-Type: application/x-javascript; charset=UTF-8');
  header('Vary: Accept-Encoding'); // Handle proxies
***************
*** 33,37 ****
--- 33,38 ----
  	echo $file;
  } else {
  	echo get_file($basepath . '/tiny_mce.js');
+ 	echo get_file($basepath . '/wp-tinymce-schema.js');
  }
  exit;
